# getComponents

abstract fun getComponents(): Set<ComponentResult>

Return a set of ComponentResult instances representing all requested components.

Each element in the returned set is declared as an opaque ComponentResult. However each element in the result will also implement one of the following interfaces:

- ComponentArtifactsResult for any component that could be resolved in the set of repositories.
- UnresolvedComponentResult for any component that could not be resolved from the set of repositories.

#### Return

the set of results for all requested components